global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
chat:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: chat
    tag: snapshot-6208083
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8012
    protocol: TCP
  resources:
    requests:
      cpu: '100m'
      memory: 64Mi
    limits:
      cpu: '200m'
      memory: 128Mi
  probes: {}
  services:
  - name: chat-service
    type: ClusterIP
    port: 8012
    targetPort: 8012
  ingresses:
  - name: chat-ingress
    host: alpha.chat.freeleaps.mathmast.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: chat-service
          port:
            number: 8012
    tls:
      exists: false
      issuerRef:
        name: mathmast-dot-com
        kind: ClusterIssuer
      name: alpha.chat.freeleaps.mathmast.com-cert
  configs:
    tz: UTC
    appName: chat
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8012
    mongodbName: freeleaps2
    mongodbUri: mongodb://freeleaps-alpha-mongo-mongodb.freeleaps-alpha.svc.freeleaps.cluster:27017/
    mongodbPort: 27017
    emailFrom: freeleaps@freeleaps.com
    siteUrlRoot: https://alpha.freeleaps.mathmast.com
    jwtSecretKey: 8f87ca8c3c9c3df09a9c78e0adb0927855568f6072d9efc892534aee35f5867b
    jwtAlgorithm: HS256
    stripeApiKey: sk_test_51Ogsw5B0IyqaSJBrwczlr820jnmvA1qQQGoLZ2XxOsIzikpmXo4pRLjw4XVMTEBR8DdVTYySiAv1XX53Zv5xqynF00GfMqttFd
    stripeWebhookSecret: ''
    stripeAccountWebhookSecret: ''
    rabbitmqHost: freeleaps-alpha-rabbitmq.freeleaps-alpha.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    rabbitmqPassword: 9dPrkjD8KENevfjT
    freeleapsDevsvcEndpoint: https://alpha.devsvc.freeleaps.mathmast.com
    freeleapsContentEndpoint: https://alpha.content.freeleaps.mathmast.com
    freeleapsCentralStorageEndpoint: https://alpha.central-storage.freeleaps.mathmast.com
    freeleapsChatEndpoint: https://alpha.chat.freeleaps.mathmast.com
    freeleapsPaymentEndpoint: https://alpha.payment.freeleaps.mathmast.com
    freeleapsAilabEndpoint: ''
    freeleapsEnv: alpha
    certPath: ''
    redisUrl: redis://:4sTqfZvUwR@freeleaps-alpha-redis-headless.freeleaps-alpha.svc.freeleaps.cluster:6379/0
    redisIsCluster: "false"
